# $Revision: 1.43 $, $Date: 2005/07/04 12:13:59 $
Summary:	The Enhanced GNOME Terminal
Summary(pl):	Ulepszony GNOME Terminal
Name:		multi-gnome-terminal
Version:	1.6.2
Release:	5
Epoch:		1
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/multignometerm/%{name}-%{version}.tar.bz2
# Source0-md5:	52b65d2326efc4273716383b0196e95f
Patch0:		%{name}-xterm-f1-f4.patch
Patch1:		%{name}-omf.patch
Patch2:		%{name}-desktop.patch
URL:		http://multignometerm.sf.net/
BuildRequires:	gdk-pixbuf-devel >= 0.18.0
BuildRequires:	gdk-pixbuf-gnome-devel >= 0.18.0
BuildRequires:	gnome-libs-devel >= 1.4.1.4
BuildRequires:	libglade-gnome-devel >= 0.14
BuildRequires:	libxml-devel
BuildRequires:	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11/GNOME
%define		_omf_dest_dir	%(scrollkeeper-config --omfdir)

%description
Multi Gnome Terminal is an enhanced version of gnome-terminal which
has the following features added:
- Many terminals in each window
- Switch between terminals using shortcuts
- Execution of user defined commands in new terminals (Customizable
  menus)
- Notification of terminals states using customizable colors for tabs
  text.

All these extensions are inspired by screen and konsole (the kde2
terminal) and are undoubtly very useful to each user.

%description -l pl
Multi Gnome Terminal jest wersj standardowego GNOME Terminala
rozszerzon o nowe moliwoci:
  - Kilka terminali w jednym oknie
  - Przeczanie pomidzy terminalami za pomoc skrtw klawiszowych
  - Wykonywanie definiowanych przez uytkownika komend w nowych
    terminalach
  - Powiadamianie o stanie terminali przy uyciu zmian kolorw zakadek

Wszystkie te rozszerzenia s inspirowane przez programy screen i
konsole (emulator terminala KDE2), i niewtpliwie s uyteczne dla
kadego.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CFLAGS="%{rpmcflags} -DREDHAT_TERM"
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	utildir=%{_desktopdir} \
	omf_dest_dir=%{_omf_dest_dir}/mgt

mv -f $RPM_BUILD_ROOT%{_pixmapsdir}/mgt/multignometerm.png $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /usr/bin/scrollkeeper-update
%postun -p /usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README NEWS AUTHORS
%{_sysconfdir}/CORBA/servers
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_datadir}/mgt
%{_datadir}/idl/*
%{_omf_dest_dir}/mgt
%{_mandir}/man1/*
%{_desktopdir}/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: multi-gnome-terminal.spec,v $
Revision 1.43  2005/07/04 12:13:59  baggins
- release 5

Revision 1.42  2005/07/04 11:49:14  baggins
- stop being uber-smart and just use TERM=xterm (not xterm-color),
  like the rest of the world does

Revision 1.41  2005/01/12 14:35:09  charles
- missing dir

Revision 1.40  2004/09/20 08:21:23  ankry
- desktop fixes, rel. 4

Revision 1.39  2004/07/04 14:47:15  havner
- applnk -> vfolders

Revision 1.38  2004/03/24 15:28:35  blues
- release 3 (rel. 2 in RA)

Revision 1.37  2003/07/09 09:38:28  qboosh
- use find_lang for gnome/help files

Revision 1.36  2003/05/28 12:59:49  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 05:50:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/04/21 16:50:04  adamg
- up to 1.6.2
- fixed source0 address

Revision 1.33  2003/01/18 22:54:54  juandon
- removed two lines with define

Revision 1.32  2002/10/04 19:34:46  ankry
- added -omf patch, release 2

Revision 1.31  2002/09/17 15:23:39  wrobell
- ver. 1.6.1

Revision 1.30  2002/09/03 12:24:17  qboosh
- added xterm-f1-f4 patch - fix for F1-F4 key sequences (TERM==xterm-color, not *vtXXX)
- release 4

Revision 1.29  2002/08/06 14:02:31  qboosh
- BR: libglade-gnome-devel; release 3

Revision 1.28  2002/08/06 12:30:40  kloczek
- release 2.

Revision 1.27  2002/08/06 10:54:19  maryush
- added missing files in bin and man

Revision 1.26  2002/08/06 02:52:06  kloczek
- updated to 1.5.2: many bugfixes and few enhancements.

Revision 1.25  2002/06/29 11:42:11  kloczek
- move dsktop icon file to proper path.

Revision 1.24  2002/06/27 22:39:11  wrobell
- updated xterm-color patch
- rel. 2, stb

Revision 1.23  2002/06/26 09:48:02  wrobell
- rel. 1, stb

Revision 1.22  2002/06/25 17:02:48  wrobell
- ver. 1.5.0, nfy (cvs is dead)

Revision 1.21  2002/05/21 14:27:25  qboosh
- removed %%{_datadir}/gnome/help dir from package; new %%doc; release 3

Revision 1.20  2002/05/17 14:28:59  michuz
- fixed omf filse location
- release++

Revision 1.19  2002/05/05 11:51:17  wrobell
- fixed file list
- rel. 2
- stb

Revision 1.18  2002/04/30 06:36:19  filon
- updated to 1.4.1 (fresh bugfix)

Revision 1.17  2002/04/29 18:42:00  filon
- upadted to 1.4.0
- changes in files
- updated xterm-color patch
- STBR

Revision 1.16  2002/03/01 11:18:20  kloczek
- added Epoch: 1 (for allow upgrade from downgraded 1.3.10).

Revision 1.15  2002/02/26 14:37:01  wrobell
- ver. 1.3.13

Revision 1.14  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/22 18:25:10  wrobell
- ver. 1.3.12 (works with gnome-libs 1.4.1.4)
- stb

Revision 1.12  2002/02/19 04:34:30  kloczek
- reverte last change (gnome-libs-devel determines gtk+-devel in
  BuildRequires rules).

Revision 1.11  2002/02/18 17:04:58  bonkey
- typo: gtk+-devel

Revision 1.10  2002/02/18 17:02:40  bonkey
- BuildRequires: gtk+-devel >= 1.2.0

Revision 1.9  2002/02/14 02:39:07  kloczek
- updated to 1.3.11 (bugfix release).

Revision 1.8  2002/02/01 20:22:01  kloczek
- release 4.

Revision 1.7  2002/02/01 10:07:27  alchemyx
- added BuildRequires so it will build with proper version of gnome-libs
- STB

Revision 1.6  2002/01/31 22:33:02  misiek
- release 3

Revision 1.5  2002/01/24 21:58:13  kloczek
- reelase 2: map %%{_sysconfdir} macro to /etc/X11/GNOME (thankis for fix to
  Robert Grabowski <Robert.Grabowski@7bulls.com>)

Revision 1.4  2002/01/17 03:02:52  kloczek
- updated to 1.3.10 (bugfix release),
- idl files are back.

Revision 1.3  2002/01/11 14:42:18  kloczek
- fixed install (missing "\"),
- put man pages in correct path.

Revision 1.2  2002/01/11 13:38:17  kloczek
- added correct scrollkeeper support,
- move desktop file to Terminals/,
- spec adapterized,
- removed idl files from %files (this is development stuffs),
- added using %%find_lang macro (with --with-gnome swith) for collect gnome
  help files,
- more macros.

Revision 1.1  2002/01/11 12:24:01  malekith
- based roughly on MDK spec
